# -*- encoding: utf-8 -*-
# stub: baf 0.15.1 ruby lib

Gem::Specification.new do |s|
  s.name = "baf".freeze
  s.version = "0.15.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Thibault Jouan".freeze]
  s.date = "2022-07-06"
  s.description = "== Baf\n\nbaf helps writing an user acceptance test suite with a dedicated library\nand cucumber steps. It can run and wait for programs in a modified\nenvironment, verify the exit status, the output streams and other side\neffects. It also supports interactive programs and writing to their\nstandard input.\n\nThen, it provides a DSL to write the CLI:\n\n    require 'baf/cli'\n\n    module MyProgram\n      class CLI < Baf::CLI\n        def setup\n          flag_version '0.1.2'.freeze\n\n          option :c, :config, 'config', 'specify config file' do |path|\n            @config_path = path\n          end\n        end\n\n        def run\n          usage! unless arguments.any?\n\n          puts 'arguments: %s' % arguments\n          puts 'config: %s' % @config_path if @config_path\n        end\n      end\n    end\n\n    MyProgram::CLI.run ARGV\n\nWhich behaves this way:\n\n    % ./my_program\n    Usage: my_program [options]\n\n    options:\n        -c, --config config              specify config file\n\n        -h, --help                       print this message\n        -V, --version                    print version\n    zsh: exit 64    ./my_program\n\n    % ./my_program --wrong-arg\n    Usage: my_program [options]\n\n    options:\n        -c, --config config              specify config file\n\n        -h, --help                       print this message\n        -V, --version                    print version\n    zsh: exit 64    ./my_program --wrong-arg\n\n    % ./my_program foo\n    arguments [\"foo\"]\n\n    % ./my_program -c some_file foo\n    arguments [\"foo\"]\n    config path some_file\n".freeze
  s.email = "tj@a13.fr".freeze
  s.homepage = "https://rubygems.org/gems/baf".freeze
  s.licenses = ["BSD-3-Clause".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Toolkit for testing and writing CLI programs".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<cucumber>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.11"])
  else
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<cucumber>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.11"])
  end
end
